API referenceScenes
Save the scene as it is now as a take
Freeze the scene's composition as a take with an optional label and note.
Placement (chapter, order, narration anchor) is not part of a take. Free.
Authorization
bearerAuth AuthorizationBearer <token>
Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….
In: header
Path Parameters
sceneId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/scenes/497f6eca-6276-4993-bfeb-53cbbbba6f08/takes" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"take_id": "string",
"scene_id": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}{
"error": {
"type": "string",
"code": "string",
"message": "string"
}
}